<?xml version="1.0" encoding="ISO-8859-1"?>

<document>
 
  <properties>
    <title>Options Method</title>
    <author email="adrian@ephox.com">Adrian Sutton</author>
    <revision>$Id: options.xml,v 1.1 2003/03/10 04:07:40 mbecke Exp $</revision>
  </properties>

  <body>
    
    <section name="Introduction">
      <p>The OPTIONS method represents a request for information about the
      communication options available on the request/response chain identified
      by the request URL.  This method allows the client to determine the
      options and/or requirements associated with a resource, or the
      capabilities of a server, without implying a resource action or
      initiating a resource retrieval.</p>
    </section>

    <section name="Typical Usage">
      <p>Typically the options method is used to determine what methods are
      supported by the server, and this is accomodated by the
      <code>getAllowedMethods</code> function.</p>

      <source><![CDATA[
        OptionsMethod options = new OptionsMethod("http://jakarta.apache.org");
        // execute method and handle any error responses.
        ...
        Enumeration allowedMethods = options.getAllowedMethods();
        options.releaseConnection();
      ]]>
      </source>
    </section>

    <section name="Common Problems">
      <p>None.</p>
    </section>

    <section name="RFC Section">
      <p>The options method is defined in section 9.2 of <a
      href="http://www.ietf.org/rfc/rfc2616.txt">RFC2616</a>.</p>
    </section>

  </body>
</document>
